Skip to main content
GET
List pending points buckets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique program identifier

memberId
string
required

Unique member identifier

cardId
string
required

Unique card identifier

Query Parameters

limit
integer
default:10

Number of results to return (1-100, default 10)

Required range: 1 <= x <= 100
order

Sort order for results

Available options:
date,
-date
cursor
string

Cursor token for pagination

Response

List of pending points buckets

data
object[]
cursor
object | null

Cursor for fetching the next page of results.

object
string
Allowed value: "list"
Last modified on May 19, 2026